Package org.tanukisoftware.wrapper

# Class WrapperSystemPropertyUtil

java.lang.Object
org.tanukisoftware.wrapper.WrapperSystemPropertyUtil

public final class WrapperSystemPropertyUtil extends Object
A collection of utility methods which make it easy to work with System Properties without littering code with error handling.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getBooleanProperty(String name, boolean defaultValue)`
Resolves a boolean property.
`static int`
`getIntProperty(String name, int defaultValue)`
Resolves an integer property.
`static long`
`getLongProperty(String name, long defaultValue)`
Resolves a long property.
`static String`
`getStringProperty(String name, String defaultValue)`
Resolves a string property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStringProperty

public static String getStringProperty(String name, String defaultValue)
Resolves a string property.

Parameters:
  `name` - The name of the property to lookup.
  `defaultValue` - The value to return if it is not set or is invalid.
Returns:
  The requested property value.

### getBooleanProperty

public static boolean getBooleanProperty(String name, boolean defaultValue)
Resolves a boolean property.

Parameters:
  `name` - The name of the property to lookup.
  `defaultValue` - The value to return if it is not set or is invalid.
Returns:
  The requested property value.

### getIntProperty

public static int getIntProperty(String name, int defaultValue)
Resolves an integer property.

Parameters:
  `name` - The name of the property to lookup.
  `defaultValue` - The value to return if it is not set or is invalid.
Returns:
  The requested property value.

### getLongProperty

public static long getLongProperty(String name, long defaultValue)
Resolves a long property.

Parameters:
  `name` - The name of the property to lookup.
  `defaultValue` - The value to return if it is not set or is invalid.
Returns:
  The requested property value.